View Issue Details

IDProjectCategoryView StatusLast Update
0030034LazarusFCLpublic2016-04-23 16:25
ReporterMilošAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.6Product Build51630 2016-02-14 
Target Version1.6.2Fixed in Version1.6.2 
Summary0030034: TComboBox.Items.IndexOf fails with UTF-8 characters
DescriptionLook at application in apendix.
Steps To ReproduceSorted ComboBox, add K, L, Č. First must be Č (slovak language). IndexOf finds L.
TagsNo tags attached.
Fixed in Revisionr51977
LazTarget1.6.2
WidgetsetWin32/Win64
Attached Files

Activities

Miloš

2016-04-19 19:05

reporter  

combo.zip (128,965 bytes)

wp

2016-04-19 20:29

developer   ~0092100

I can confirm witz Laz 1.6, but Laz trunk is ok (both with fpc 3.0, Win 7, 64-bit, Laz is 32-bit).

Juha Manninen

2016-04-22 12:10

developer   ~0092128

I think it was fixed by changes made by Bart. Can this be resolved?

Bart Broersma

2016-04-22 15:20

developer   ~0092141

If IndexOf returns the wrong index, i don't see a relation to my changes.
I'll test with trunk and 1.6 fixes when I have the time.

Bart Broersma

2016-04-23 16:24

developer   ~0092158

In both trunk and fixes 1.6 the sorting order is: Č, K, L.
ComboBox1.Items.IndexOf('Č') returns 0 (which is correct).
Probably fixed in r51977.

Bart Broersma

2016-04-23 16:25

developer   ~0092159

Please test with trunk/fixes 1.6 and close if OK.

Issue History

Date Modified Username Field Change
2016-04-19 19:05 Miloš New Issue
2016-04-19 19:05 Miloš File Added: combo.zip
2016-04-19 20:29 wp Note Added: 0092100
2016-04-22 12:09 Juha Manninen Assigned To => Bart Broersma
2016-04-22 12:09 Juha Manninen Status new => assigned
2016-04-22 12:10 Juha Manninen Note Added: 0092128
2016-04-22 15:20 Bart Broersma Note Added: 0092141
2016-04-23 16:24 Bart Broersma Note Added: 0092158
2016-04-23 16:25 Bart Broersma LazTarget => -
2016-04-23 16:25 Bart Broersma Note Added: 0092159
2016-04-23 16:25 Bart Broersma Status assigned => resolved
2016-04-23 16:25 Bart Broersma Resolution open => fixed
2016-04-23 16:25 Bart Broersma Fixed in Revision => r51977
2016-04-23 16:25 Bart Broersma LazTarget - => 1.6.2
2016-04-23 16:25 Bart Broersma Fixed in Version => 1.6.2
2016-04-23 16:25 Bart Broersma Target Version => 1.6.2